Skip to main content
POST
/
catalog
/
v0
/
categories
Upsert Categories
curl --request POST \
  --url https://api.example.com/catalog/v0/categories \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "merchant": "<string>",
  "categories": [
    {
      "category_id": "<string>",
      "locale_attributes": [
        {
          "locale_id": "<string>",
          "title": "<string>",
          "uri": "<string>"
        }
      ],
      "parent_id": "<string>",
      "store_attributes": "<unknown>",
      "display_breadcrumb": true,
      "appear_in_quicklinks": false,
      "show_in_filter": true,
      "show_in_search_suggestions": true
    }
  ]
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.depict.ai/llms.txt

Use this file to discover all available pages before exploring further.

This page does not apply to installs made in 2025 or later of the Depict Shopify apps

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
merchant
string
required
categories
APICategory · object[]
required

Response

Successful Response